## loci.formats
Class ZeissZVIReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.ZeissZVIReader

public class ZeissZVIReader
extends FormatReader

ZeissZVIReader is the file format reader for Zeiss ZVI files.

Field Summary

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`ZeissZVIReader()` Constructs a new Zeiss ZVI reader.

Method Summary
`void` `close()` Closes any open files.
`int` `getImageCount(String id)` Determines the number of images in the given Zeiss ZVI file.
`protected void` `initFile(String id)` Initializes the given Zeiss ZVI file.
`protected void` `initMetadata()` Populates the metadata hashtable.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for a Zeiss ZVI file.
`static void` `main(String[] args)`
`BufferedImage` `open(String id, int no)` Obtains the specified image from the given Zeiss ZVI file.
`protected void` `parseDir(int depth, Object dir)` Parse the OLE document structure using Jakarta POI
`static void` `print(int depth, String s)`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZeissZVIReader

    public ZeissZVIReader()

  Constructs a new Zeiss ZVI reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for a Zeiss ZVI file.

  Specified by:
    `isThisType` in class `FormatReader`

### getImageCount

    public int getImageCount(String id)
                      throws FormatException,
                             IOException

  Determines the number of images in the given Zeiss ZVI file.

  Specified by:
    `getImageCount` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### open

    public BufferedImage open(String id,
                              int no)
                       throws FormatException,
                              IOException

  Obtains the specified image from the given Zeiss ZVI file.

  Specified by:
    `open` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### close

    public void close()
               throws FormatException,
                      IOException

  Closes any open files.

  Specified by:
    `close` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### initFile

    protected void initFile(String id)
                     throws FormatException,
                            IOException

  Initializes the given Zeiss ZVI file.

  Overrides:
    `initFile` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### print

    public static final void print(int depth,
                                   String s)

### initMetadata

    protected void initMetadata()

  Populates the metadata hashtable.

### parseDir

    protected void parseDir(int depth,
                            Object dir)
                     throws IOException,
                            FormatException,
                            ReflectException

  Parse the OLE document structure using Jakarta POI

  Throws:
    `IOException`
    `FormatException`
    `ReflectException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`